tech-pkg archive

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]

Re: Broken binaries again

On Tue, May 15, 2012 at 07:35:55PM +0200, Joerg Sonnenberger wrote:
 > > A user shouldn't have to attempt to install a package to realize there 
 > > is a problem.
 > > 
 > > The packages should be fixed to version the filenames as needed or add 
 > If you install from binary packages, tools could tell you before by
 > doing the check as soon as they know what needs to be installed. If you
 > install from source, sorry, you lost. Considering options, dynamic
 > PLISTs, PLIST_SUBST and the like, it won't work reliable.

...which is why we have CONFLICTS and why it should be validated at
some point so it can be kept up to date.

David A. Holland

Home | Main Index | Thread Index | Old Index